# ECE 106: Electricity and Magnetism

## MATH 117 review

!!! definition
    A definite integral is composed of:
    
    - the **upper limit**, $b$,
    - the **lower limit**, $a$,
    - the **integrand**, $f(x)$, and
    - the **differential element**, $dx$.

$$\int^b_a f(x)\ dx$$

The original function **cannot be recovered** from the result of a definite integral unless it is known that $f(x)$ is a constant.

## N-dimensional integrals

Much like how $dx$ represents an infinitely small line, $dx\cdot dy$ represents an infinitely small rectangle. This means that the surface area of an object can be expressed as:

$$dS=dx\cdot dy$$

Therefore, the area of a function can be expressed as:

$$S=\int^x_0\int^y_0 dy\ dx$$

where $y$ is usually equal to $f(x)$, changing on each iteration.

!!! example
    The area of a circle can be expressed as $y=\pm\sqrt{r^2-x^2}$. This can be reduced to $y=2\sqrt{r^2-x^2}$ because of the symmetry of the equation.
    
    $$
    \begin{align*}
    A&=\int^r_0\int^{\sqrt{r^2-x^2}}_0 dy\ dx \\
    &=\int^r_0\sqrt{r^2-x^2}\ dx
    \end{align*}
    $$

!!! warning
    Similar to parentheses, the correct integral squiggly must be paired with the correct differential element.

## Cartesian coordinates
